// genesis -- tutorial 7 -- net_conn.g

// Excitatory connections between input "cells" and network cells;
// note that the same synchan receives input from external inputs
// as well as from cells in the network.  Note also that each
// input randomspike element only connects to one cell in the network,
// since the range of excitation for the destination cells is so 
// narrow.
 
planarconnect /in/input[] /network/cell[]/dend/Ex_channel  \
        -relative                                \
        -sourcemask box -1 -1 1 1    \  // all cells
        -destmask   box -0.01 -0.01 0.01 0.01       // very narrow excitatory range:
						    // each input cell connects to only
						    // one network cell
						    
 
planarweight /in/input[] -fixed 0.8
 
// set axonal/synaptic delays to zero; this is not very biological
planardelay  /in/input[] -fixed 0.0

// excitatory connections between network cells:

planarconnect  /network/cell[]/soma/spike      \
	/network/cell[]/dend/Ex_channel        \
	-relative                              \
	-sourcemask box	-10 -10 10 10          \  // all cells
	-destmask   box	-0.3 -0.3 0.3 0.3         // narrow excitatory range

// inhibitory connections between network cells:
// these come from the same cells as the excitatory 
// connections, which is not biological

planarconnect  /network/cell[]/soma/spike      \
	/network/cell[]/dend/Inh_channel       \
	-relative                              \
	-sourcemask box	-10 -10 10 10          \  // all cells
	-destmask   box	-0.6 -0.6 0.6 0.6      \  // wide inhibitory range
	-desthole   box -0.3 -0.3 0.3 0.3         // don't connect to cells
					          //	in excitatory range

planarweight /network/cell[]/soma/spike -decay 2.0 1.0 0.1

// set axonal/synaptic delays to zero; this is also not very biological
planardelay  /network/cell[]/soma/spike -fixed 0.0

